/******************************************************************/
/* Beispiel zu sht.cc fr Sensirion SHT Feuchtesensoren(12/14Bit) */
/* Autor     : Andr Helbig (www.cc2net.de)                       */
/* Vorlage   : Andr Helbig / CC2: shttest.c2                     */
/* Version   : 1.0                                                */
/* Datum     : 02. Oktober 2008                                   */
/******************************************************************/

void LCD_ziff(int num)
{
 num=num%10;
 LCD_WriteChar(num+0x30);
}

void LCD_Num5n2(int num)
{
 if(num>9999) LCD_ziff(num /10000);
  else if(num & 0x8000)
    {LCD_WriteChar(0x2D);num=num*(-1);}
    else LCD_WriteChar(0x20);
 if(num>999) LCD_ziff(num / 1000); else LCD_WriteChar(0x20);
 LCD_ziff(num / 100);
 LCD_WriteChar(0x2C);
 LCD_ziff(num /  10);
 LCD_ziff(num);
}

void main(void)
{int x,i;
 timer10ms=0;
 Irq_SetVect(INT_TIM2COMP,Timer_ISR);

 LCD_SubInit();
 LCD_Init();
 LCD_CursorOff();
 sht_init(8,9);//PB.0=Clk, PB.1=Data
 sht_Reset();
 AbsDelay(11);
 while(1)
 {
  LCD_CursorPos(0);
  x=sht_getTemp();
  LCD_CursorPos(0);
  LCD_Num5n2(x);
  LCD_WriteChar(0xDF);LCD_WriteChar('C');
  LCD_CursorPos(0x40);
  AbsDelay(100);
  x=sht_getHyg(x);
  LCD_Num5n2(x);
  LCD_WriteChar('%');LCD_WriteChar('r');LCD_WriteChar('e');LCD_WriteChar('l');LCD_WriteChar('H');
  LCD_CursorPos(20);
  LCD_ziff(i);i++;
 }
}




